Subject: [Dime] RFC4005 - Tunneling AVP ABNF question

From: Sebastien Decugis <[email-masked]>
Date: Thu, 26 Aug 2010 11:00:15 +0900

Hello,

In section 7.1 of RFC4005, the ABNF for the Tunneling AVP mark as
"required" the following attributes: Tunnel-Type, Tunnel-Medium-Type,
Tunnel-Client-Endpoint, Tunnel-Server-Endpoint.

While I understand that in an answer all these attributes may be
required, I think that in a request, used as a hint from the NAS, all
attributes are not necessarily present in the message. I think therefore
that the ABNF should be relaxed.
Do you have any opinion on this?

Best regards,
Sebastien.

-- 
Sebastien Decugis
Research fellow
Network Architecture Group
NICT (nict.go.jp)